<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>DreamTechnologies Radiation Monitoring</title>
<link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<img src="graph.png" align="centre" class="main_graph"/><br> <!-- Display the graph uploaded by RadLog via FTP -->

<iframe class="map" src="http://www.radmon.org/maponlyEU.shtml" id="radmoniframe"> <!-- Display a map of Europe within an in-line frame from radmon.org -->
<script language=javascript>
var iframe = document.getElementById("radmoniframe");
</script></iframe>

<!-- Display the key for the map -->
<p class="key">Map key: <img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=25|00FF00|000000" alt="" />Normal <img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=68|FFFF00|000000" alt="" />Warning <img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=99|FF0000|000000" alt="" />Alert <img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=78|008800|000000" alt="" /><img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=78|888800|000000" alt="" /><img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=78|880000|000000" alt="" />Experiment mode <img src="https://chart.googleapis.com/chart?chst=d_map_pin_letter&amp;chld=22|909090|000000" alt="" />Dormant</p>

<!-- Display an in-line frame from radmon.org with history/trend data for the specific user -->
<!-- <iframe class="history" src="http://www.radmon.org/radmon.php?function=showuserpage&user=Simomax"></iframe> -->

<!-- Grab each of the six history/trend data graphs from radmon.org and run them through PHP image filter to save them locally with negative colours to suit the page -->
<?php
$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphtoday.png'); // The image source we want to run the filter on
if($im && imagefilter($im, IMG_FILTER_NEGATE)) // Run the 'negative colour' filter
{
  imagepng($im, 'graphtoday.png'); // save locally so we can use in the page later in this code
}
else
{
  echo 'Conversion to negative failed: graphtoday.png'; // Something went wrong so report a message
}
imagedestroy($im); // Clean up

$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphtoday64.png'); // Lather, rinse and repeat for the next five images
if($im && imagefilter($im, IMG_FILTER_NEGATE))
{
  imagepng($im, 'graphtoday64.png');
}
else
{
  echo 'Conversion to negative failed: graphtoday64.png';
}
imagedestroy($im);

$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphlasthour.png');
if($im && imagefilter($im, IMG_FILTER_NEGATE))
{
  imagepng($im, 'graphlasthour.png');
}
else
{
  echo 'Conversion to negative failed: graphlasthour.png';
}
imagedestroy($im);

$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphweek.png');
if($im && imagefilter($im, IMG_FILTER_NEGATE))
{
  imagepng($im, 'graphweek.png');
}
else
{
  echo 'Conversion to negative failed: graphweek.png';
}
imagedestroy($im);

$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphmonth.png');
if($im && imagefilter($im, IMG_FILTER_NEGATE))
{
  imagepng($im, 'graphmonth.png');
}
else
{
  echo 'Conversion to negative failed: graphmonth.png';
}
imagedestroy($im);

$im = imagecreatefrompng('http://www.radmon.org/Simomax/graphquarter.png');
if($im && imagefilter($im, IMG_FILTER_NEGATE))
{
  imagepng($im, 'graphquarter.png');
}
else
{
  echo 'Conversion to negative failed: graphquarter.png';
}
imagedestroy($im);
?>

<!-- Display all of the six images we have filtered from the local files -->
<img src="graphtoday.png" align="centre" class="graphtoday"/>
<img src="graphtoday64.png" align="centre" class="graphtoday64"/>
<img src="graphlasthour.png" align="centre" class="graphlasthour"/>
<img src="graphweek.png" align="centre" class="graphweek"/>
<img src="graphmonth.png" align="centre" class="graphmonth"/>
<img src="graphquarter.png" align="centre" class="graphquarter"/>



<p class="footer">Powered by <a href="http://www.radmon.org/">Radmon.org</a>
<br>
<br>
</body>
</html>
